| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# IG::Num::IRandomGenerator Interface Reference

Uniform random number generator. More...

Inheritance diagram for IG::Num::IRandomGenerator:
[legend]

List of all members.

## Public Member Functions
double | NextDouble ()
| A double-precision floating point number greater than or equal to 0.0, and LESS THAN 1.0.
double | NextDouble (double maxValue)
| A double-precision floating point number greater than or equal to 0.0, and LESS than the specified maximum.
double | NextDouble (double minValue, double maxValue)
| A double-precision floating point number greater than or equal to the specified minimum, and LESS than the specified maximum.
double | NextDoubleInclusive ()
| A double-precision floating point number greater than or equal to 0.0, and LESS OR EQUAL than 1.0.
double | NextDoubleInclusive (double maxvalue)
| A double-precision floating point number greater than or equal to 0.0, and LESS OR EQUAL than the specified maximum.
double | NextDoubleInclusive (double minValue, double maxValue)
| A double-precision floating point number greater than or equal to the specified minimum, and LESS OR EQUAL than the specified maximum.
int | Next ()
| Returns a nonnegative random number.
int | Next (int maxValue)
| Returns a nonnegative random number LESS THAN the specified maximum.
int | Next (int minValue, int maxValue)
| Returns a random number within a specified range (lower bound inclusive, UPPER BOUND EXCLUSIVE).
int | NextInclusive (int maxValue)
| Returns a nonnegative random number LESS OR EQUAL THAN the specified maximum.
int | NextInclusive (int minValue, int maxValue)
| Returns a random number within a specified range (lower bound inclusive, upper bound INCLUSIVE).
void | NextBytes (byte[] buffer)
| Fills the elements of a specified array of bytes with random numbers.

## Detailed Description

Uniform random number generator.

## Member Function Documentation

double IG::Num::IRandomGenerator::NextDouble | ( |  | ) |

A double-precision floating point number greater than or equal to 0.0, and LESS THAN 1.0.

Returns:
  A double-precision floating point number greater than or equal to 0.0, and less than 1.0.

Implemented in IG::Num::RandGeneratorThreadSafe, and IG::Num::RandomGeneratorSystem.

double IG::Num::IRandomGenerator::NextDouble | ( | double | maxValue | ) |

A double-precision floating point number greater than or equal to 0.0, and LESS than the specified maximum.

Returns:
  A double-precision floating point number greater than or equal to 0.0, and LESS THAN THE SPECIFIED MAXIMUM.

Implemented in IG::Num::RandGeneratorThreadSafe, and IG::Num::RandomGeneratorSystem.

double IG::Num::IRandomGenerator::NextDouble | ( | double | minValue,
|  | double | maxValue
| ) |  |

A double-precision floating point number greater than or equal to the specified minimum, and LESS than the specified maximum.

Returns:
  A double-precision floating point number greater than or equal to the specified minimum, and LESS than the specified maximum.

Implemented in IG::Num::RandGeneratorThreadSafe, and IG::Num::RandomGeneratorSystem.

double IG::Num::IRandomGenerator::NextDoubleInclusive | ( |  | ) |

A double-precision floating point number greater than or equal to 0.0, and LESS OR EQUAL than 1.0.

Returns:
  A double-precision floating point number greater than or equal to 0.0, and less than 1.0.

Implemented in IG::Num::RandGeneratorThreadSafe, and IG::Num::RandomGeneratorSystem.

double IG::Num::IRandomGenerator::NextDoubleInclusive | ( | double | maxvalue | ) |

A double-precision floating point number greater than or equal to 0.0, and LESS OR EQUAL than the specified maximum.

Returns:
  A double-precision floating point number greater than or equal to 0.0, and LESS OR EQUAL THAN THE SPECIFIED MAXIMUM.

Implemented in IG::Num::RandGeneratorThreadSafe, and IG::Num::RandomGeneratorSystem.

double IG::Num::IRandomGenerator::NextDoubleInclusive | ( | double | minValue,
|  | double | maxValue
| ) |  |

A double-precision floating point number greater than or equal to the specified minimum, and LESS OR EQUAL than the specified maximum.

Returns:
  A double-precision floating point number greater than or equal to the specified minimum, and LESS OR EQUAL than the specified maximum.

Implemented in IG::Num::RandGeneratorThreadSafe, and IG::Num::RandomGeneratorSystem.

int IG::Num::IRandomGenerator::Next | ( |  | ) |

Returns a nonnegative random number.

Returns:
  A 32-bit signed integer greater than or equal to zero and less than MaxValue.

Implemented in IG::Num::RandGeneratorThreadSafe, and IG::Num::RandomGeneratorSystem.

int IG::Num::IRandomGenerator::Next | ( | int | maxValue | ) |

Returns a nonnegative random number LESS THAN the specified maximum.

Parameters:

  maxValue | The EXCLUSIVE upper bound of the random number to be generated. Must be greater than or equal to zero.

Returns:
  A 32-bit signed integer greater than or equal to zero, and LESS THAN maxValue. If maxValue equals zero, maxValue is returned.

Implemented in IG::Num::RandGeneratorThreadSafe, and IG::Num::RandomGeneratorSystem.

int IG::Num::IRandomGenerator::Next | ( | int | minValue,
|  | int | maxValue
| ) |  |

Returns a random number within a specified range (lower bound inclusive, UPPER BOUND EXCLUSIVE).

Parameters:

  minValue | The inclusive lower bound of the random number returned.
  maxValue | The EXCLUSIVE UPPER BOUND of the random number returned. Must be greater than or equal to minValue.

Returns:
  A 32-bit signed integer greater than or equal to minValue and less than maxValue. If minValue equals maxValue, minValue is returned.

Implemented in IG::Num::RandGeneratorThreadSafe, and IG::Num::RandomGeneratorSystem.

int IG::Num::IRandomGenerator::NextInclusive | ( | int | maxValue | ) |

Returns a nonnegative random number LESS OR EQUAL THAN the specified maximum.

Parameters:

  maxValue | The INCLUSIVE upper bound of the random number to be generated. Must be greater than or equal to zero.

Returns:
  A 32-bit signed integer greater than or equal to zero, and LESS OR EQUAL than maxValue. If maxValue equals zero, maxValue is returned.

Implemented in IG::Num::RandGeneratorThreadSafe, and IG::Num::RandomGeneratorSystem.

int IG::Num::IRandomGenerator::NextInclusive | ( | int | minValue,
|  | int | maxValue
| ) |  |

Returns a random number within a specified range (lower bound inclusive, upper bound INCLUSIVE).

Parameters:

  minValue | he inclusive lower bound of the random number returned.
  maxValue | The INCLUSIVE upper bound of the random number returned. Must be greater than or equal to minValue.

Returns:
  A 32-bit signed integer greater than or equal to minValue and LESS OR EQUAL than maxValue. If minValue equals maxValue, minValue is returned.

Implemented in IG::Num::RandGeneratorThreadSafe, and IG::Num::RandomGeneratorSystem.

void IG::Num::IRandomGenerator::NextBytes | ( | byte[] | buffer | ) |

Fills the elements of a specified array of bytes with random numbers.

Parameters:

  buffer | An array of bytes to contain random numbers.

Implemented in IG::Num::RandGeneratorThreadSafe, and IG::Num::RandomGeneratorSystem.

The documentation for this interface was generated from the following file:

- Random.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events